Package com.collabnet.ce.soap60.webservices.cemain

# Class AssociationSoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.AssociationSoapRow

public class AssociationSoapRow extends Object
AssociationSoapList represents a list of associations between objects.
Change History
Release: 4.2

- Field 'originVersion' type changed from 'Integer' to 'int'.
- Field 'targetVersion' type changed from 'Integer' to 'int'.

Since:
  4.1-SP3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssociationSoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCreatedBy()`
  Returns 'createdBy'.
  `String`
  `getCreatorFullName()`
  Returns 'creatorFullName'.
  `Date`
  `getDateCreated()`
  Returns 'dateCreated'.
  `Date`
  `getDateLastModified()`
  Returns 'dateLastModified'.
  `String`
  `getDescription()`
  Returns 'description'.
  `String`
  `getOriginId()`
  Returns 'originId'.
  `String`
  `getOriginTitle()`
  Returns 'originTitle'.
  `int`
  `getOriginVersion()`
  Returns 'originVersion'.
  `String`
  `getTargetId()`
  Returns 'targetId'.
  `String`
  `getTargetTitle()`
  Returns 'targetTitle'.
  `int`
  `getTargetVersion()`
  Returns 'targetVersion'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setCreatedBy(String createdBy)`
  Sets 'createdBy'.
  `void`
  `setCreatorFullName(String creatorFullName)`
  Sets 'creatorFullName'.
  `void`
  `setDateCreated(Date dateCreated)`
  Sets 'dateCreated'.
  `void`
  `setDateLastModified(Date dateLastModified)`
  Sets 'dateLastModified'.
  `void`
  `setDescription(String description)`
  Sets 'description'.
  `void`
  `setOriginId(String originId)`
  Sets 'originId'.
  `void`
  `setOriginTitle(String originTitle)`
  Sets 'originTitle'.
  `void`
  `setOriginVersion(int originVersion)`
  Sets 'originVersion'.
  `void`
  `setTargetId(String targetId)`
  Sets 'targetId'.
  `void`
  `setTargetTitle(String targetTitle)`
  Sets 'targetTitle'.
  `void`
  `setTargetVersion(int targetVersion)`
  Sets 'targetVersion'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AssociationSoapRow

    public AssociationSoapRow()

- ## Method Details

  - ### getOriginId

    public String getOriginId()
    Returns 'originId'.
    Returns:
      Value of 'originId'.

  - ### setOriginId

    public void setOriginId(String originId)
    Sets 'originId'.
    Parameters:
      `originId` - Value of 'originId'.

  - ### getOriginVersion

    public int getOriginVersion()
    Returns 'originVersion'.
    Returns:
      Value of 'originVersion'.

  - ### setOriginVersion

    public void setOriginVersion(int originVersion)
    Sets 'originVersion'.
    Parameters:
      `originVersion` - Value of 'originVersion'.

  - ### getTargetId

    public String getTargetId()
    Returns 'targetId'.
    Returns:
      Value of 'targetId'.

  - ### setTargetId

    public void setTargetId(String targetId)
    Sets 'targetId'.
    Parameters:
      `targetId` - Value of 'targetId'.

  - ### getTargetVersion

    public int getTargetVersion()
    Returns 'targetVersion'.
    Returns:
      Value of 'targetVersion'.

  - ### setTargetVersion

    public void setTargetVersion(int targetVersion)
    Sets 'targetVersion'.
    Parameters:
      `targetVersion` - Value of 'targetVersion'.

  - ### getDescription

    public String getDescription()
    Returns 'description'.
    Returns:
      Value of 'description'.

  - ### setDescription

    public void setDescription(String description)
    Sets 'description'.
    Parameters:
      `description` - Value of 'description'.

  - ### getOriginTitle

    public String getOriginTitle()
    Returns 'originTitle'.
    Returns:
      Value of 'originTitle'.

  - ### setOriginTitle

    public void setOriginTitle(String originTitle)
    Sets 'originTitle'.
    Parameters:
      `originTitle` - Value of 'originTitle'.

  - ### getTargetTitle

    public String getTargetTitle()
    Returns 'targetTitle'.
    Returns:
      Value of 'targetTitle'.

  - ### setTargetTitle

    public void setTargetTitle(String targetTitle)
    Sets 'targetTitle'.
    Parameters:
      `targetTitle` - Value of 'targetTitle'.

  - ### getCreatedBy

    public String getCreatedBy()
    Returns 'createdBy'.
    Returns:
      Value of 'createdBy'.

  - ### setCreatedBy

    public void setCreatedBy(String createdBy)
    Sets 'createdBy'.
    Parameters:
      `createdBy` - Value of 'createdBy'.

  - ### getCreatorFullName

    public String getCreatorFullName()
    Returns 'creatorFullName'.
    Returns:
      Value of 'creatorFullName'.

  - ### setCreatorFullName

    public void setCreatorFullName(String creatorFullName)
    Sets 'creatorFullName'.
    Parameters:
      `creatorFullName` - Value of 'creatorFullName'.

  - ### getDateCreated

    public Date getDateCreated()
    Returns 'dateCreated'.
    Returns:
      Value of 'dateCreated'.

  - ### setDateCreated

    public void setDateCreated(Date dateCreated)
    Sets 'dateCreated'.
    Parameters:
      `dateCreated` - Value of 'dateCreated'.

  - ### getDateLastModified

    public Date getDateLastModified()
    Returns 'dateLastModified'.
    Returns:
      Value of 'dateLastModified'.

  - ### setDateLastModified

    public void setDateLastModified(Date dateLastModified)
    Sets 'dateLastModified'.
    Parameters:
      `dateLastModified` - Value of 'dateLastModified'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)